%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  cpi
%global packver   0.1.5
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.5
Release:          1%{?dist}%{?buildtag}
Summary:          Conditional Predictive Impact

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-foreach 
BuildRequires:    R-CRAN-mlr3 
BuildRequires:    R-CRAN-lgr 
BuildRequires:    R-CRAN-knockoff 
Requires:         R-CRAN-foreach 
Requires:         R-CRAN-mlr3 
Requires:         R-CRAN-lgr 
Requires:         R-CRAN-knockoff 

%description
A general test for conditional independence in supervised learning
algorithms as proposed by Watson & Wright (2021)
<doi:10.1007/s10994-021-06030-6>. Implements a conditional variable
importance measure which can be applied to any supervised learning
algorithm and loss function. Provides statistical inference procedures
without parametric assumptions and applies equally well to continuous and
categorical predictors and outcomes.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
